<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Pathfinding Algorithms: PathFindingAlgorithm Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Pathfinding Algorithms
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classPathFindingAlgorithm-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">PathFindingAlgorithm Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for PathFindingAlgorithm:</div>
<div class="dyncontent">
<div class="center"><img src="classPathFindingAlgorithm__inherit__graph.png" border="0" usemap="#aPathFindingAlgorithm_inherit__map" alt="Inheritance graph"/></div>
<map name="aPathFindingAlgorithm_inherit__map" id="aPathFindingAlgorithm_inherit__map">
<area shape="rect" title=" " alt="" coords="159,5,321,32"/>
<area shape="rect" href="classAstar.html" title=" " alt="" coords="5,80,61,107"/>
<area shape="rect" href="classBreadthFirstSearch.html" title=" " alt="" coords="86,80,231,107"/>
<area shape="rect" href="classDepthFirstSearch.html" title=" " alt="" coords="256,80,389,107"/>
<area shape="rect" href="classDijkstra.html" title=" " alt="" coords="414,80,487,107"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for PathFindingAlgorithm:</div>
<div class="dyncontent">
<div class="center"><img src="classPathFindingAlgorithm__coll__graph.png" border="0" usemap="#aPathFindingAlgorithm_coll__map" alt="Collaboration graph"/></div>
<map name="aPathFindingAlgorithm_coll__map" id="aPathFindingAlgorithm_coll__map">
<area shape="rect" title=" " alt="" coords="5,95,167,121"/>
<area shape="rect" href="classMap.html" title=" " alt="" coords="61,5,111,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7044c60106abfbd2ae85a1f8d615c806"><td class="memItemLeft" align="right" valign="top"><a id="a7044c60106abfbd2ae85a1f8d615c806"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>PathFindingAlgorithm</b> (<a class="el" href="classMap.html">Map</a> *mapStart)</td></tr>
<tr class="separator:a7044c60106abfbd2ae85a1f8d615c806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a895339eb3788798272fdcdbaee467323"><td class="memItemLeft" align="right" valign="top"><a id="a895339eb3788798272fdcdbaee467323"></a>
virtual std::vector&lt; <a class="el" href="classNode.html">Node</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>pathFinder</b> (<a class="el" href="classMap.html">Map</a> *mapStart)=0</td></tr>
<tr class="separator:a895339eb3788798272fdcdbaee467323"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afef1c81739824cc07029d3cb1a028a35"><td class="memItemLeft" align="right" valign="top"><a id="afef1c81739824cc07029d3cb1a028a35"></a>
std::vector&lt; <a class="el" href="classNode.html">Node</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>shortestPathFinder</b> ()</td></tr>
<tr class="separator:afef1c81739824cc07029d3cb1a028a35"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a04d7cf3dcd693b74c48f684bb23f9ed1"><td class="memItemLeft" align="right" valign="top"><a id="a04d7cf3dcd693b74c48f684bb23f9ed1"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>pathIsFound</b> = false</td></tr>
<tr class="separator:a04d7cf3dcd693b74c48f684bb23f9ed1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ab739961e34bce04e9dd8ba37c01b5b52"><td class="memItemLeft" align="right" valign="top"><a id="ab739961e34bce04e9dd8ba37c01b5b52"></a>
<a class="el" href="classMap.html">Map</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>m_map</b></td></tr>
<tr class="separator:ab739961e34bce04e9dd8ba37c01b5b52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a4c594d904b78f4951d04a6c592dbf7"><td class="memItemLeft" align="right" valign="top"><a id="a4a4c594d904b78f4951d04a6c592dbf7"></a>
std::vector&lt; <a class="el" href="classNode.html">Node</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>_shortest</b></td></tr>
<tr class="separator:a4a4c594d904b78f4951d04a6c592dbf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="PathFindingAlgorithm_8h_source.html">PathFindingAlgorithm.h</a></li>
<li>src/PathFindingAlgorithm.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
